/*! \page dup 

\addindex dup


\section dup dup

\subsection operation Operation

Duplicates the top value on the stack.

\subsection format Format

\code
dup
\endcode

\subsection forms Forms
\code
dup = 42 (0x2a)
\endcode
\subsection stack Stack

\code
..., value => ..., value, value
\endcode

\subsection description Description

Duplicates the top value of the stack, and then pushes the duplicated value onto the stack.

\subsection rt_execeptions Runtime exceptions

None.

\subsection notes Notes

None.

*/

